summaryrefslogtreecommitdiffstats
path: root/source/n/iputils
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2013-11-04 17:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:57:36 +0200
commit76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (patch)
tree9b98e6e193c7870cb27ac861394c1c4592850922 /source/n/iputils
parent9664bee729d487bcc0a0bc35859f8e13d5421c75 (diff)
downloadcurrent-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.gz
current-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.xz
Slackware 14.1slackware-14.1
Mon Nov 4 17:08:47 UTC 2013 Slackware 14.1 x86_64 stable is released! It's been another interesting release cycle here at Slackware bringing new features like support for UEFI machines, updated compilers and development tools, the switch from MySQL to MariaDB, and many more improvements throughout the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/n/iputils')
-rwxr-xr-xsource/n/iputils/iputils.SlackBuild27
1 files changed, 21 insertions, 6 deletions
diff --git a/source/n/iputils/iputils.SlackBuild b/source/n/iputils/iputils.SlackBuild
index 2e087afc1..30f4a71ad 100755
--- a/source/n/iputils/iputils.SlackBuild
+++ b/source/n/iputils/iputils.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,8 +20,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=s20101006
-BUILD=${BUILD:-2}
+VERSION=s20121221
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -54,7 +54,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf iputils-$VERSION
-tar xvf $CWD/iputils-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/iputils-$VERSION.tar.?z* || exit 1
cd iputils-$VERSION || exit 1
chown -R root:root .
@@ -67,13 +67,28 @@ find . \
make VPATH=/usr/lib${LIBDIRSUFFIX} || exit 1
( cd doc ; make man || exit 1 ) || exit 1
-strip arping clockdiff ping ping6 rarpd rdisc tracepath tracepath6 traceroute6
+( cd ninfod
+ CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+ make
+)
+
+strip arping clockdiff ninfod/ninfod ping ping6 rarpd rdisc tracepath tracepath6 traceroute6
mkdir -p $PKG/sbin
cat arping > $PKG/sbin/arping
chmod 755 $PKG/sbin/arping
mkdir -p $PKG/usr/sbin
cat clockdiff > $PKG/usr/sbin/clockdiff
chmod 755 $PKG/usr/sbin/clockdiff
+cat ninfod/ninfod > $PKG/usr/sbin/ninfod
+chmod 755 $PKG/usr/sbin/ninfod
mkdir -p $PKG/bin
cat ping > $PKG/bin/ping
cat ping6 > $PKG/bin/ping6
@@ -90,7 +105,7 @@ chmod 4711 $PKG/usr/bin/traceroute6
mkdir -p $PKG/usr/man/man8
( cd doc
- for file in arping clockdiff ping rarpd rdisc tracepath traceroute6 ; do
+ for file in arping clockdiff ninfod ping rarpd rdisc tracepath traceroute6 ; do
cat $file.8 | gzip -9c > $PKG/usr/man/man8/$file.8.gz
done
cd $PKG/usr/man/man8